# std::priority_queue::empty

From cppreference.com
< cpp‎ | container‎ | priority queue

bool empty() const; |  |

Checks if the underlying container has no elements, i.e. whether c.empty().

### Parameters

(none)

### Return value

true if the underlying container is empty, false otherwise

### Complexity

Constant

### See also

size | returns the number of elements (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/priority_queue/empty&oldid=50625"